Last Comment Bug 674238 - Simplify favicons INSERT query
: Simplify favicons INSERT query
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Firefox 8
Assigned To: Richard Newman [:rnewman]
:
Mentors:
Depends on:
Blocks: 428378 675996
  Show dependency treegraph
 
Reported: 2011-07-26 08:46 PDT by Richard Newman [:rnewman]
Modified: 2012-02-08 01:13 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Part 0: eliminate redundant OR REPLACE from insert query. (2.16 KB, patch)
2011-07-26 15:53 PDT, Richard Newman [:rnewman]
mak77: review+
Details | Diff | Splinter Review

Description Richard Newman [:rnewman] 2011-07-26 08:46:12 PDT
See feature page:

  https://wiki.mozilla.org/Services/Sync/FxSync/FaviconSync

Prerequisite for Bug 428378.

Taking this for now. Will holler if I need help.
Comment 1 Richard Newman [:rnewman] 2011-07-26 15:53:04 PDT
Created attachment 548614 [details] [diff] [review]
Part 0: eliminate redundant OR REPLACE from insert query.

Trivial patch. Try builds:

  http://tbpl.mozilla.org/?tree=Try&rev=19657de3f84d
  http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/rnewman@mozilla.com-19657de3f84d.

Places unit tests pass locally, so let's see what try thinks...
Comment 2 Richard Newman [:rnewman] 2011-07-27 00:02:50 PDT
Try looks green.
Comment 3 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-07-27 14:30:06 PDT
Comment on attachment 548614 [details] [diff] [review]
Part 0: eliminate redundant OR REPLACE from insert query.

Review of attachment 548614 [details] [diff] [review]:
-----------------------------------------------------------------

ah, now I remember why this was here, asyncFaviconHelpers.cpp was using this query before getting its own statementsCache, indeed it's using OR REPLACE atm.
Comment 4 Richard Newman [:rnewman] 2011-07-27 20:02:48 PDT
Thanks mak.

Pushed part 0, just to get some more time to bake while I work on the rest:

  http://hg.mozilla.org/services/services-central/rev/9d927d1f2ac8
Comment 5 Richard Newman [:rnewman] 2011-08-02 10:22:46 PDT
Re-casting this bug to reflect the fact that it's landed and the rest will take a while...
Comment 6 Philipp von Weitershausen [:philikon] 2011-08-02 12:59:26 PDT
http://hg.mozilla.org/mozilla-central/rev/9d927d1f2ac8

Note You need to log in before you can comment on or make changes to this bug.